## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestRewardType Struct Reference

The reward type is responsible for the creation of reward factories. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual csPtr< iQuestRewardFactory > | CreateRewardFactory ()=0
| Create a reward factory.
virtual const char * | GetName () const =0
| Return the name for this reward type.

## Detailed Description

The reward type is responsible for the creation of reward factories.

If you want to define a new type of reward then you must implement iQuestRewardType, iQuestRewardFactory, and iQuestReward. You register reward types with the quest manager so that they can be used by quest factories.

Definition at line 253 of file questmanager.h.

## Member Function Documentation

virtual csPtr<iQuestRewardFactory> iQuestRewardType::CreateRewardFactory | ( |  | ) | `[pure virtual]`

| Create a reward factory.

virtual const char* iQuestRewardType::GetName | ( |  | ) | const`[pure virtual]`

| Return the name for this reward type.

The documentation for this struct was generated from the following file:

- tools/questmanager.h